Bug 437881 - ptrace: orig_rax 0x00000000ffffffff not recognized as -1
Summary: ptrace: orig_rax 0x00000000ffffffff not recognized as -1
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.6
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jerome Marchand
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords:
Depends On: 435000 436183
Blocks: RHEL4u8_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-03-17 21:08 UTC by Jan Kratochvil
Modified: 2009-05-18 19:36 UTC (History)
4 users (show)

(edit)
Previously, there was a missing sign extension in the x86_64 ptrace code that may have caused gdb to fail on the x86_64 architecture when debugging an i386 application. With this update, the missing sign extension is now correctly extended, which resolves this issue.
Clone Of:
(edit)
Last Closed: 2009-05-18 19:36:48 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Comment 2 RHEL Product and Program Management 2008-12-17 20:19:14 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Vivek Goyal 2009-01-05 14:17:45 UTC
Committed in 78.23.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 10 Jerome Marchand 2009-03-18 09:18:11 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
There is a missing sign extension in x86_64 compatibility ptrace code and x86_64 gdb sometimes fails when debugging i386 application because of it.
The faulty 32 bits value is now properly extended and x86_64 gdb works correctly with i386 applications.

Comment 12 Ryan Lerch 2009-04-01 02:54:38 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,2 +1 @@
-There is a missing sign extension in x86_64 compatibility ptrace code and x86_64 gdb sometimes fails when debugging i386 application because of it.
+Previously, there was a missing sign extension in the x86_64 ptrace code that may have caused gdb to fail on the x86_64 architecture when debugging an i386 application. With this update, the missing sign extension is now correctly extended, which resolves this issue.-The faulty 32 bits value is now properly extended and x86_64 gdb works correctly with i386 applications.

Comment 14 errata-xmlrpc 2009-05-18 19:36:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.